### Method

# Gtk NumericSorter set_expression

#### Declaration [src]

    void
    gtk_numeric_sorter_set_expression (
      GtkNumericSorter* self,
      GtkExpression* expression
    )

#### Description [src]

Sets the expression that is evaluated to obtain numbers from items.

Unless an expression is set on `self`, the sorter will always compare items as invalid.

The expression must have a return type that can be compared numerically, such as `G_TYPE_INT` or `G_TYPE_DOUBLE`.

Sets property | `Gtk.NumericSorter:expression`

#### Parameters

`expression`

  Type: `GtkExpression`

  A `GtkExpression`

  The argument can be `NULL`.
  The data is owned by the caller of the method.